.TH GETLINKINFO 1 "Jul 24 1995" "Stanford University" "SUIF Compiler"
.SH NAME
getlinkinfo \- get external linkage information
.SH SYNOPSIS
.B getlinkinfo
.I configfile
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I getlinkinfo
program uses
.I configfile
to determine which symbols in the fileset formed by all the
.I infile
files are referenced externally to the fileset and marks this
information in annotations.  The annotations keep track of what files
are in the fileset at the time because this information is only valid
later for the same fileset without omissions.  This information is
used by the libuseful function unreferenced_outside_fileset(), which
automatically figures out when the information is valid.  Note that as
in any other case when multiple files are read in as one fileset,
.I linksuif
must be run on all the inputs before this pass is run if there is more
than a single input SUIF file.
.sp
It is up to the user of this program to insure that
.I configfile
is correct for a given fileset (i.e. that
.I configfile
contains information for everything else to be linked in to create the
final executable program).
.sp
The format of
.I configfile
is currently a text file with the following format:
.sp
externrefs
{
.I symname *
}
.sp
where each
.I symname
is the name of a symbol which is referenced externally.
.SH SEE ALSO
linksuif(1)
.SH HISTORY
This program was written by Chris Wilson.
